/*
 * @Author: miaokefu@duiba.com.cn 
 * @Date: 2018-08-14 13:09:00 
 * @Last Modified by: miaokefu@duiba.com.cn
 * @Last Modified time: 2018-08-15 16:57:15
 */
import {getUrlParameter} from '@js/utils';
import {get} from '../../http';

/**
 * 获取页面初始化信息
 * @param isPic 是否从二维码进入
 * 页面类型 0：占卜页面；1：分享者-结果页面 2：自己-结果页面 ,
 */
export const getIndex = (isPic) => get('/youtui/qixi/index', {
   id: getUrlParameter('id'),
   isPic: isPic,
   consumerIdOrder: getUrlParameter('consumerIdOrder')
});

/**
 * cdk
 */
export const getCDK = () => get('/youtui/qixi/getCDK',{
    id: getUrlParameter('id')
});

export const getKeyword = () => get('/youtui/qixi/getKeyword',{
    
});

export const getRedPacket = () => get('/youtui/qixi/getRedPacket',{
    
});

export const getShareInfo = (title) => get('/youtui/share/getQixiShareUrl',{
    id: getUrlParameter('id'),
    consumerIdOrder: getUrlParameter('consumerIdOrder'),
    title: title
    // bonus: 8.8 // 写死
});
